Skip to content

ItineraryResourceDetail ​

PUT
/v1/itineraries/{resource_type}/{resource_id}

Authorizations​

api_key
Type
API Key (header: X-Api-Key)

Parameters​

Path Parameters

resource_type*

Type of resource

Type
string
Required
resource_id*

Slug of the itinerary

Type
string
Required

Request Body​

application/json
JSON
{
  
"colors": {
  
  
"primary_color_code": null,
  
  
"secondary_color_code": null,
  
  
"ternary_color_code": null
  
},
  
"cover_photo": null,
  
"rear_photo": null,
  
"getting_there": {
  
  
"google_maps": null,
  
  
"google_maps_img": null,
  
  
"parking": null,
  
  
"route": null,
  
  
"travel": null
  
},
  
"remember": {
  
  
"items": [
  
  
  
"string"
  
  
]
  
},
  
"ticketing_app": {
  
  
"html": null,
  
  
"title": null
  
},
  
"included": {
  
  
"summary": null,
  
  
"items": [
  
  
  
"string"
  
  
],
  
  
"google_maps": null,
  
  
"google_maps_img": null,
  
  
"photo1": null,
  
  
"photo2": null
  
}
}

Responses​

OK

application/json
JSON
{
  
"colors": {
  
  
"primary_color_code": null,
  
  
"secondary_color_code": null,
  
  
"ternary_color_code": null
  
},
  
"cover_photo": null,
  
"rear_photo": null,
  
"getting_there": {
  
  
"google_maps": null,
  
  
"google_maps_img": null,
  
  
"parking": null,
  
  
"route": null,
  
  
"travel": null
  
},
  
"remember": {
  
  
"items": [
  
  
  
"string"
  
  
]
  
},
  
"ticketing_app": {
  
  
"html": null,
  
  
"title": null
  
},
  
"included": {
  
  
"summary": null,
  
  
"items": [
  
  
  
"string"
  
  
],
  
  
"google_maps": null,
  
  
"google_maps_img": null,
  
  
"photo1": null,
  
  
"photo2": null
  
}
}

Playground​

Server
Authorization
Variables
Key
Value
Body

Samples​